Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt
Class JPicEdt.FragmentInsertAction

    java.lang.Object
      javax.swing.AbstractAction
          jpicedt.graphic.toolkit.PEAction
              jpicedt.JPicEdt.FragmentInsertAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  JPicEdt

public static class JPicEdt.FragmentInsertAction
extends PEAction

Insert a fragment into the active board, performing I/O operation in a separate thread.

This action is undoable.

Since:
  PicEdt 1.2.1
See Also:
  Serialized Form

Field Summary
`static String` | `KEY`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JPicEdt.FragmentInsertAction()` prompt user for fragment file name
`JPicEdt.FragmentInsertAction(String fileName)` insert a fragment from the given file name

Method Summary
`void` | `undoableActionPerformed(ActionEvent e)` called by "actionPerformed" ; default implementation does nothing.

Methods inherited from class jpicedt.graphic.toolkit.PEAction
`actionPerformed, getCanvas, getDrawing, getEditorKit, getSelectedObject, setAttribute`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### JPicEdt.FragmentInsertAction

    public JPicEdt.FragmentInsertAction(String fileName)

  insert a fragment from the given file name

### JPicEdt.FragmentInsertAction

    public JPicEdt.FragmentInsertAction()

  prompt user for fragment file name

Method Detail

### undoableActionPerformed

    public void undoableActionPerformed(ActionEvent e)

  Description copied from class: `PEAction`
  called by "actionPerformed" ; default implementation does nothing. Action that want to be undoable override this method instead of "actionPerformed".

  Note : this is not an abstract method, since this would force all PEAction's, including those we don't want to be undoable, to implement this method.

  Overrides:
    `undoableActionPerformed` in class `PEAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org